org.apache.sling.event.jobs

## Interface ScheduleInfo

    @ProviderType
    public interface ScheduleInfo

Scheduling information.

Since:
  1.3

### Nested Class Summary

Nested Classes
`static class` `ScheduleInfo.ScheduleType`

### Method Summary

All Methods Instance Methods Abstract Methods
`Date` `getAt()` Return the scheduled execution date for a schedule of type date.
`int` `getDayOfMonth()` If the job is scheduled monthly, returns the day of the month
`int` `getDayOfWeek()` If the job is scheduled weekly, returns the day of the week
`String` `getExpression()` If the schedule is a cron expression, return the expression.
`int` `getHourOfDay()` Return the hour of the day for daily and weekly scheduled jobs
`int` `getMinuteOfHour()` Return the minute of the hour for daily, weekly and hourly scheduled jobs.
`int` `getMonthOfYear()` If the job is scheduled yearly, returns the month of the year
`ScheduleInfo.ScheduleType` `getType()` Return the scheduling type

### Method Detail

#### getType

    ScheduleInfo.ScheduleType getType()

Return the scheduling type

Returns:
  The scheduling type

#### getAt

    Date getAt()

Return the scheduled execution date for a schedule of type date.

Returns:
  the scheduled execution date

#### getExpression

    String getExpression()

If the schedule is a cron expression, return the expression.

Returns:
  The cron expression or `null`

#### getMonthOfYear

    int getMonthOfYear()

If the job is scheduled yearly, returns the month of the year

Returns:
  The day of the year (from 1 to 12) or -1

#### getDayOfMonth

    int getDayOfMonth()

If the job is scheduled monthly, returns the day of the month

Returns:
  The day of the month (from 1 to 28) or -1

#### getDayOfWeek

    int getDayOfWeek()

If the job is scheduled weekly, returns the day of the week

Returns:
  The day of the week (from 1 to 7) or -1

#### getHourOfDay

    int getHourOfDay()

Return the hour of the day for daily and weekly scheduled jobs

Returns:
  The hour of the day (from 0 to 23) or -1

#### getMinuteOfHour

    int getMinuteOfHour()

Return the minute of the hour for daily, weekly and hourly scheduled jobs.

Returns:
  The minute of the hour (from 0 to 59) or -1